#
# spec file for package gstreamer-0_10-doc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gstreamer-0_10-doc
%define         build_doc 1
%define _name gstreamer
Version:        0.10.36
Release:        26.25
%define gst_branch 0.10
Summary:        Streaming-Media Framework Runtime
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
Source0:        http://gstreamer.freedesktop.org/src/gstreamer/%{_name}-%{version}.tar.xz
Source1:        gstreamer-0_10.macros
Source2:        gstreamer-0_10.prov
Source99:       baselibs.conf
# PATCH-FIX-OPENSUSE gstreamer-0_10-no-gtk-doc-for-reals.patch maw@novell.com -- to build without gtk-doc, like totally for reals
Patch0:         gstreamer-0_10-no-gtk-doc-for-reals.patch
# PATCH-FEATURE-UPSTREAM gstreamer-0_10-rpm-prov.patch bgo#588783 dimstar@opensuse.org -- Add --rpm parameter to allow creation of rpm provides, patch from fedora
Patch1:         gstreamer-0_10-rpm-prov.patch
# PATCH-FIX-UPSTREAM gstreamer-no-setlocale.patch bnc#779426 bgo#685650 dimstar@opensuse.org -- Don't set the locale in gst_init().
Patch2:         gstreamer-no-setlocale.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-bison3.patch bgo#706462 dimstar@opensuse.org -- Fix build with Bison 3
Patch3:         gstreamer-0_10-bison3.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-gtk-doc-1.25.patch dimstar@opensuse.org -- Fix build with gtk-doc 1.25. index.sgml is an internal file and must not be messed with (and with gtk-doc 1.25 it is no longer created).
Patch4:         gstreamer-0_10-gtk-doc-1.25.patch
BuildRequires:  bison
BuildRequires:  check-devel
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  glib2-devel >= 2.24
BuildRequires:  gnome-patch-translation
%if %suse_version >= 1120
BuildRequires:  gobject-introspection-devel >= 0.6.8
%endif
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  translation-update-upstream
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
%if %suse_version <= 1210
BuildRequires:  xz
%endif
%if %build_doc
BuildRequires:  docbook-toys
BuildRequires:  docbook-utils
BuildRequires:  gtk-doc
BuildRequires:  python
BuildRequires:  python-xml
BuildRequires:  transfig
%if %suse_version <= 1020
# Missing in transfig:
BuildRequires:  ghostscript-fonts-std
BuildRequires:  ghostscript-library
%endif
%if %suse_version > 1030
BuildRequires:  texlive-latex
BuildRequires:  texlive-latex-doc
%endif
%endif
%if %build_doc
# Ensure that the documentation corresponds with the installed version:
Requires:       libgstreamer-0_10-0 = %{version}
# Name up to 10.3:
Provides:       gstreamer010-doc = %{version}
Obsoletes:      gstreamer010-doc < %{version}
%else
# Core modules may depend on new enough libraries:
Requires:       libgstreamer-0_10-0 >= %{version}
Recommends:     %{name}-lang = %{version}
# Name up to 10.3:
Provides:       gstreamer010 = %{version}
Obsoletes:      gstreamer010 < %{version}
Obsoletes:      gstreamer010-lang < %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%if !%build_doc

%package -n libgstreamer-0_10-0
Summary:        Streaming-Media Framework Runtime
Group:          System/Libraries
# We want to have core modules installed:
Requires:       %{name}

%description -n libgstreamer-0_10-0
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%if %suse_version >= 1120
%package -n typelib-1_0-Gst-0_10
Summary:        Streaming-Media Framework Runtime -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Gst-0_10
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

This package provides the GObject Introspection bindings for GStreamer.
%endif

%package utils
Summary:        Streaming-Media Framework Runtime
Group:          Productivity/Multimedia/Other
# Name up to 10.3:
Provides:       gstreamer010:%{_bindir}/gst-launch-%{gst_branch} = %{version}
# Symbol for unversioned wrappers:
Provides:       gstreamer-utils_versioned

%description utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package utils-unversioned
Summary:        Streaming-Media Framework Runtime
Group:          Productivity/Multimedia/Other
# Name up to 10.3:
Provides:       gstreamer010:%{_bindir}/gst-launch = %{version}
# Was renamed from gstreamer-utils at the beginning of 12.3 to avoid conflict with gstreamer 1.0
Provides:       gstreamer-utils = %{version}
Obsoletes:      gstreamer-utils < %{version}
# At least one versioned package has to be present:
Requires:       gstreamer-utils_versioned

%description utils-unversioned
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# gstreamer-utils is required for the gstreamer-provides rpm magic.
Requires:       %{name}-utils
Requires:       libgstreamer-0_10-0 = %{version}
%if %suse_version >= 1120
Requires:       typelib-1_0-Gst-0_10 = %{version}
%endif
# Name up to 10.3:
Provides:       gstreamer010-devel = %{version}
Obsoletes:      gstreamer010-devel < %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%endif
%lang_package

%prep
%setup -q -n %{_name}-%{version}
translation-update-upstream po gstreamer-0.10
gnome-patch-translation-prepare po gstreamer-0.10
%if ! %build_doc
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
gnome-patch-translation-update po gstreamer-0.10

%build
# FIXME: GTKDOC_CFLAGS, GST_OBJ_CFLAGS:
# Silently ignored compilation of uninstalled gtk-doc scanners without RPM_OPT_FLAGS.
export V=1
%if %suse_version >= 1110
NOCONFIGURE=1 ./autogen.sh
%endif
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --libexecdir=%{_libdir} \
%if %build_doc
	--enable-gtk-doc\
	--enable-docbook\
%endif
%if %suse_version >= 1120
        --enable-introspection\
%endif
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gstreamer-%{gst_branch}/presets
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
%if %build_doc
mv $RPM_BUILD_ROOT%{_datadir}/doc/gstreamer-*/* $RPM_BUILD_ROOT%{_docdir}/%{name}
rmdir $RPM_BUILD_ROOT%{_datadir}/doc/gstreamer-*
%else
# TODO is empty
cp AUTHORS COPYING ChangeLog NEWS README RELEASE $RPM_BUILD_ROOT%{_docdir}/%{name}
%find_lang %{_name}-%{gst_branch}
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/*.*a
%endif
%if %build_doc
rm -rf $RPM_BUILD_ROOT/%{_bindir}/*
rm -rf $RPM_BUILD_ROOT/%{_libdir}
rm -rf $RPM_BUILD_ROOT/%{_datadir}/aclocal
rm -rf $RPM_BUILD_ROOT/%{_includedir}/*
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT/%{_mandir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/gir-1.0/
rm -rf $RPM_BUILD_ROOT%{_datadir}/gstreamer-%{gst_branch}
rm -rf %{buildroot}%{_libexecdir}/gstreamer-%{gst_branch}/gst-plugin-scanner
%else
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/manual
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/pwg
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gstreamer-%{gst_branch}/presets
# Install the rpm macros
%if 0%?suse_version >= 1210
%__install -m644 -D %{S:1} %{buildroot}%{_libexecdir}/rpm/fileattrs/gstreamer_0_10.attr
%else
%__install -m644 -D %{S:1} %{buildroot}%{_sysconfdir}/rpm/macros.gstreamer_0_10
%endif
%__install -m755 -D %{S:2} %{buildroot}%{_libexecdir}/rpm/gstreamer-0_10-provides
%endif
%fdupes %{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT
%if ! %build_doc

%post -n libgstreamer-0_10-0 -p /sbin/ldconfig

%postun -n libgstreamer-0_10-0 -p /sbin/ldconfig
%endif
%if %build_doc

%files
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%{_datadir}/gtk-doc/html/*
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/pwg
%doc %{_docdir}/%{name}/faq
%else

%files
%defattr(-, root, root)
%dir %{_datadir}/gstreamer-%{gst_branch}
%dir %{_datadir}/gstreamer-%{gst_branch}/presets
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/RELEASE
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/*.so
%{_libdir}/gstreamer-%{gst_branch}/gst-plugin-scanner

%files lang -f %{_name}-%{gst_branch}.lang

%files -n libgstreamer-0_10-0
%defattr(-, root, root)
%{_libdir}/*.so.*

%if %suse_version >= 1120
%files -n typelib-1_0-Gst-0_10
%defattr(-, root, root)
%{_libdir}/girepository-1.0/Gst-0.10.typelib
%{_libdir}/girepository-1.0/GstBase-0.10.typelib
%{_libdir}/girepository-1.0/GstCheck-0.10.typelib
%{_libdir}/girepository-1.0/GstController-0.10.typelib
%{_libdir}/girepository-1.0/GstNet-0.10.typelib
%endif

%files utils
%defattr(-, root, root)
%{_bindir}/*-%{gst_branch}
%doc %{_mandir}/man?/*-%{gst_branch}.*

%files utils-unversioned
%defattr(-, root, root)
%{_bindir}/*
%exclude %{_bindir}/*-%{gst_branch}

%files devel
%defattr(-, root, root)
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_libexecdir}/rpm
%if 0%?suse_version < 1210
%{_sysconfdir}/rpm
%endif
%if %suse_version >= 1120
%{_datadir}/gir-1.0/*.gir
%endif
%endif

%changelog
* Wed Jan  7 2015 olaf@aepfle.de
- BuildRequire python-xml for xml.dom.minidom
* Fri Oct 14 2011 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Sun Jan 16 2011 aj@suse.de
- Remove buildrequire on pyxml and add python instead for doc
  package only, changelog of package with date 2008-03-21 contains:
  "Don't depend on PyXML and use only XML modules that are shipped
  with python."
* Sat Sep 11 2010 dimstar@opensuse.org
- Add gstreamer-0_10-make382.patch: Fix build with make 3.82.
  Generally, the -doc package is affected.
* Tue Sep  7 2010 vuntz@opensuse.org
- Fix build: remove the macros.gstreamer and gstreamer-provides
  from the doc package.
* Sat Mar 13 2010 dimstar@opensuse.org
- Fix build: remove gst-plugin-scanner from the doc-package.
* Sun Dec  6 2009 vuntz@opensuse.org
- Fix build: the introspection files need to be removed for the doc
  package.
* Mon Oct 26 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Aug  5 2009 vuntz@novell.com
- Update to version 0.10.24:
  + Changes:
  - Fully support nested structures in caps
  - Support frame-by-frame stepping in sinks
  - Add support for buffer-lists to pass around groups of buffers
  - Use TaskPools for managing worker threads
  - New stream-status API for finer thread control
  - Code optimisations
  - Many other bug-fixes and enhancements
  + Bugs fixed: bgo#580579, bgo#527488, bgo#570233, bgo#584389,
    bgo#534208, bgo#545787, bgo#554460, bgo#559643, bgo#560345,
    bgo#560442, bgo#572285, bgo#577926, bgo#578908, bgo#580177,
    bgo#580716, bgo#581198, bgo#581281, bgo#582010, bgo#582564,
    bgo#582588, bgo#582878, bgo#583187, bgo#583419, bgo#583456,
    bgo#583554, bgo#584835, bgo#584838, bgo#585039, bgo#585075,
    bgo#585137, bgo#585592, bgo#585733, bgo#585748, bgo#586566,
    bgo#586568, bgo#587973, bgo#587976, bgo#588744, bgo#588745,
    bgo#589127, bgo#590056, bgo#590622, bgo#579177, bgo#581321,
    bgo#584118, bgo#585433, bgo#585569, bgo#585834, bgo#585960,
    bgo#587052
  + API additions.
* Sun May 17 2009 vuntz@novell.com
- Update to version 0.10.23:
  + Support files > 4GB on Windows
  + Controller interpolation fixes
  + Add timer support to GstPoll and use it for clocking
  + Attempt to typefind contents from the file extension if all
    else fails
  + GStreamer revision control switched to Git
  + Many other bug fixes and improvements
  + Bugs fixed: bgo#579177, bgo#163577, bgo#574160, bgo#575598,
    bgo#575922, bgo#576842, bgo#555978, bgo#565607, bgo#566936,
    bgo#567692, bgo#567725, bgo#568289, bgo#568438, bgo#568481,
    bgo#568632, bgo#568678, bgo#570910, bgo#571227, bgo#571559,
    bgo#572480, bgo#573623, bgo#574024, bgo#574211, bgo#574213,
    bgo#574241, bgo#574484, bgo#574623, bgo#574805, bgo#575695,
    bgo#575814, bgo#576381, bgo#576563, bgo#576582, bgo#577887,
    bgo#577891, bgo#578114, bgo#578201, bgo#579127, bgo#580121,
    bgo#361155, bgo#517231, bgo#572591, bgo#573823, bgo#574163,
    bgo#575682, bgo#575988
  + API additions:
  - New FIXME and MEMDUMP debug levels
  - gst_tag_list_get_buffer() and gst_tag_list_get_buffer_index()
  - New tags: GST_TAG_SUBTITLE_CODEC, GST_TAG_HOMEPAGE
  - gst_util_array_binary_search()
  - gst_message_new_request_state(),
    gst_message_parse_request_state(), GST_MESSAGE_REQUEST_STATE
  - GstPoll::gst_poll_new_timer()
  - GstPoll::gst_poll_write_control()
  - GstPoll::gst_poll_read_control()
* Thu Apr 23 2009 sbrabec@suse.cz
- Don't call autogen in older products.
* Tue Oct 21 2008 maw@suse.de
- Update to version 0.10.21:
  +  Basetransform rework
  + Basesink synchronisation extensions
  + New documentation
  + Bugs fixed: bgo#481169, bgo#520694, bgo#538201, bgo#544855,
    bgo#339795, bgo#348114, bgo#361718, bgo#533856, bgo#536978,
    bgo#537804, bgo#537812, bgo#538568, bgo#539772, bgo#542175,
    bgo#543444, bgo#543853, bgo#544174, bgo#544776, bgo#545352,
    bgo#545603, bgo#545605, bgo#545607, bgo#545853, bgo#546328,
    bgo#546822, bgo#547277, bgo#547728, bgo#548394, bgo#548652,
    bgo#549504, bgo#551952, bgo#551978, bgo#547835, bgo#538628,
    bgo#546883, and bgo#551509
  + API added:
  * Add GST_TAG_ATTACHMENT for generic file attachments to streams.
  * Add gst_base_sink_set_render_delay()
  * Add gst_base_sink_get_render_delay()
  * Add gst_check_setup_src_pad_by_name
  * Add gst_check_setup_sink_pad_by_name
  * Add gst_check_teardown_pad_by_name
  * Add GstBaseTransform::gst_base_transform_suggest()
  * GstBaseTransform::gst_base_transform_reconfigure()
  * GstPad::gst_pad_set_iterate_internal_links_function()
  * GstPad::GstPadIterIntLinkFunction
  * GstPad::gst_pad_iterate_internal_links()
  * GstPad::gst_pad_iterate_internal_links_default()
  + API deprecated:
  * gst_pad_get_internal_links()
  * gst_pad_set_internal_link_function()
  * gst_pad_get_internal_links_default()
- Add gstreamer-0_10-no-gtk-doc-for-reals.patch.
* Thu Sep  4 2008 mboman@novell.com
- Update to version 0.10.20:
  + Add the Presets interface
  + Use the binary registry by default
  + Deprecate gst_element_get_pad and don't use it anywhere any more.
  + Reverse playback fixes
  + API to get missing element messages from parse_launch parsing.
  + Fixes in latency calculations
  + BaseTransform negotiation fixes
  + New Buffering query and messages
  + Fix multiqueue deadlocks when changing limits
  + Remove pre-generated parser hacks and require newer flex/bison
  + Use GSlice in more places
  + Use static strings in property declarations everywhere to save memory
    allocations
  + Fix unaligned memory accesses with the binary registry and add CRC
    checks
  + Lots of other bug fixes
* Mon Apr 14 2008 sbrabec@suse.cz
- Updated to version 0.10.19:
  * Fix a regression in raw fd handling
  * Fixed: bgo#524041
- Fixed Obsoletes (bnc#357153).
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.10.18:
  + New GstPoll abstraction simplifies operations on multiple
    file descriptors
  + Bugs fixed: bgo#516187, bgo#516395, bgo#520756, bgo#498222,
    bgo#499127, bgo#505417, bgo#509559, bgo#510194, bgo#511783,
    bgo#513964, bgo#515469, bgo#519584, bgo#519698, bgo#520152,
    bgo#520671, bgo#520808, bgo#520877, bgo#521740, and bgo#522741.
* Tue Jan 22 2008 sbrabec@suse.cz
- Updated to version 0.10.15:
  * Changes for asynchronous sink management
  * New ts-offset property on basesink for adjusting clock synchronisation
  * New GstController LFO feature
  * Fixes and improvements in latency measurement for live pipelines
  * Additional documentation and docs fixes
  * Faster typefinding
  * More tag types added
  * Improvements in various core elements and parent classes
  * New unit tests
  * Allow dumping pipelines as dot graphs
  * GstStructures now support nesting
  * URIHandler interface can now be implemented in bindings
  * Many other bug-fixes and improvements
  * API additions
- Split package according to shared library packaging policy
  (#223286).
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.10.14:
  * State change handling improvements
  * New improved GstController API
  * Multi-queue fixes and enhancements
  * Fewer dynamic library relocations
  * Various other fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Add GstParamSpecFraction, so elements can have fraction
    properties without lots of painful string parsing.
  * Add fail_unless_equals_float() and assert_equals_float()
  * Add gst_type_register_static_full
  * Add gst_element_class_set_details_simple
  * Refactor GstController into the core controller which can take
    a GstControlSource for providing actual values for timestamps.
  * add GST_TAG_LICENSE_URI and GST_TAG_COPYRIGHT_URI
  * gst_element_factory_has_interface()
  * Many bugs fixed.
* Wed Aug 15 2007 coolo@suse.de
- fix requires
* Sat Jul 21 2007 aj@suse.de
- Fix duplicate subpackage.
* Sat Jul 21 2007 aj@suse.de
- Separate spec file for just doc package.
